package com.bonus.canteen.core.common.enums;

public enum LogRecordOperTypeEnum {
   LOGIN(1, "登录"),
   SIGN_OUT(2, "退出"),
   ADD(3, "新增"),
   MODIFY(4, "修改"),
   REMOVE(5, "删除"),
   QUERY(6, "查询");

   private final int key;
   private final String desc;

   private LogRecordOperTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public int getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
